%undefine __libtoolize
%define qtdir /usr/lib/qt3
%define objprelink 0
%define scriptplugin 1
%define hyphenplugin 0
%define svgexplugin 0
Name: scribus
Version: 0.9.6
Release: alt2

Packager: Yehuda Ben-Yosef <ilar@altlinux.ru>

Group: Publishing
Summary: Linux Publisher
URL : http://web2.altmuehlnet.de/fschmid/
License: GPL

Source0: %name-%version.tar.bz2
Source1: svgexplugin-0.2.tar.bz2
Source2: scriptplugin-0.3.tar.bz2
Source3: hyphenplugin-0.2.tar.bz2

Requires: ghostscript >= 5.50
Requires: kdelibs-gcc_compiled = %__gcc_version_base
Requires: libqt3-gcc_compiled = %__gcc_version_base

# Automatically added by buildreq on Tue Oct 22 2002
BuildRequires: XFree86-devel-static XFree86-libs fontconfig 
BuildRequires: freetype2 gcc-c++ glibc-devel libGLU libXft 
BuildRequires: libcups libdb2-devel libexpat libjpeg-devel 
BuildRequires: liblcms-devel libmng libpng-devel libqt3-devel 
BuildRequires: libssl libstdc++-devel-static libtiff-devel python-devel tcl-devel zlib-devel
BuildRequires: kdelibs-gcc_compiled = %__gcc_version_base
BuildRequires: libqt3-gcc_compiled = %__gcc_version_base
%if %objprelink
BuildRequires: objprelink
%endif

%description
Scribus is a Layout program for Linux, similar to Adobe PageMaker, QuarkXPress
or Adobe InDesign, except that it is
published under the GNU GPL.

%prep
%setup -q -a1 -a2 -a3

%build
#%add_optflags -I/usr/include/lcms -I/%_builddir/%name-%version/scribus
export QTDIR=%qtdir
export KDEDIR=%_prefix

export LD_LIBRARY_PATH=$QTDIR/lib:$KDEDIR/lib:$LD_LIBRARY_PATH
export PATH=$QTDIR/bin:$KDEDIR/bin:$PATH

export CFLAGS="%optflags"
export CXXFLAGS="%optflags"
#[ -f Makefile.dist ] && make -f Makefile.dist

%define my_configure %configure --with-extra-includes=/usr/include/lcms --enable-static --enable-debug=no --with-xinerama
%if %objprelink
%define my_build %make_build CXX=g++prelink
%else
%define my_build %make_build
%endif

%my_configure
%my_build

%if %svgexplugin
cd ./svgexplugin*
%my_configure
%my_build
cd ..
%endif

%if %scriptplugin
cd ./scriptplugin*
%my_configure
%my_build
cd ..
%endif

%if %hyphenplugin
cd ./hyphenplugin*
%my_configure
%my_build
cd ..
%endif

%install
%make DESTDIR=%buildroot install

%if %svgexplugin
cd ./svgexplugin*
%make DESTDIR=%buildroot install
cd ..
%endif

%if %scriptplugin
cd ./scriptplugin*
%make DESTDIR=%buildroot install
cd ..
%endif

%if %hyphenplugin
cd ./hyphenplugin*
%make DESTDIR=%buildroot install
cd ..
%endif

%set_verify_elf_method relaxed

mkdir -p $RPM_BUILD_ROOT%_iconsdir
mkdir -p $RPM_BUILD_ROOT%_menudir
cp $RPM_BUILD_ROOT%_libdir/%name/icons/AppIcon.xpm $RPM_BUILD_ROOT%_iconsdir/scribus.xpm

#create menu
(cd $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT%_menudir
cat > $RPM_BUILD_ROOT%_menudir/%name <<EOF
?package(%name): \
command="/usr/bin/%name" \
title="Scribus Linux Publisher" \
longtitle="Scribus Linux Publisher under the GNU GPL" \
needs="x11" \
icon="%name.xpm" \
section="Applications/Publishing"
EOF
)

%find_lang %name

%post
%update_menus

%postun
%clean_menus

%files -f %name.lang
%_bindir/%name
%_includedir/%name
%_iconsdir/*.xpm
%_menudir/%name
%dir %_libdir/%name
%_libdir/%name/icons
%_libdir/%name/profiles
%_libdir/%name/samples
%_libdir/%name/libs
%_libdir/%name/plugins
%_libdir/%name/dicts
%_libdir/%name/*.enc
%_libdir/%name/*.qm
%_libdir/%name/*.txt
#
%dir %_datadir/%name
%_datadir/%name/plugins
%_datadir/%name/samples
#
%doc %_datadir/%name/doc
%doc README INSTALL COPYING AUTHORS ChangeLog TODO

%changelog
* Sun Jan 23 2003 Yehuda Ben-Yosef <ilar@altlinux.ru> 0.9.6-alt2
- new requires and buildrequires
- remove plugins

* Wed Jan 15 2003 Yehuda Ben-Yosef <ilar@altlinux.ru> 0.9.6-alt1
- 0.9.6

* Sun Dec 22 2002 Yehuda Ben-Yosef <ilar@altlinux.ru> 0.9.4-alt1
- 0.9.4

* Wed Nov 27 2002 Yehuda Ben-Yosef <ilar@altlinux.ru> 0.9.3-alt1
- 0.9.3

* Thu Nov 14 2002 Yehuda Ben-Yosef <ilar@altlinux.ru> 0.9.1-alt1
- 0.9.1
- Script Plugin added

* Sun Oct 13 2002 Yehuda Ben-Yosef <ilar@altlinux.ru> 0.8-alt1
- 0.8

* Tue Sep 17 2002 Sergey V Turchin <zerg@altlinux.ru> 0.7.8-alt1
- new version
- build with gcc3.2

* Tue Aug 27 2002 Yehuda Ben-Yosef <ilar@altlinux.ru> 0.7.7-alt1 for AltLinux
- 0.7.7

* Tue Jul 02 2002 Yehuda Ben-Yosef <ilar@altlinux.ru> 0.7.5-alt1 for AltLinux
- 0.7.5

* Fri Jan 04 2002 Yehuda Ben-Yosef <ilar@altlinux.ru> 0.5-alt1 for AltLinux
- 0.5
- specfile cleanup



